# OCR Diagnostic App

This app allows the user to easily look at ocr errors. You can cycle through the images and view the ground truth, predicted output, and highlighted diff. On the sidepanel you can view the frequency of certain substitution, insertion, and deletion errors. You can click a specific error and find more images with the same errors.

```bash
conda create -n ocr-tool python=3.10
conda activate ocr-tool
pip install streamlit pandas jiwer evaluate
```

The data is loaded from a csv and reads the following columns `img_path,CER,pred_list,gt_list,pred,gt`

Please use the `demo.csv` to see the app running.

```bash
streamlit run app.py -- --data-path demo.csv
```

